aboutsummaryrefslogtreecommitdiff
path: root/docker/debian-dev/bootstrap/replace-mirrors.bash
diff options
context:
space:
mode:
authorcrupest <crupest@outlook.com>2023-11-01 20:58:53 +0800
committercrupest <crupest@outlook.com>2023-11-01 20:58:53 +0800
commitdfa50afcf0645fa697e304bdee3fbe5a78703420 (patch)
tree852ed0c1faaed080dba079953af18a1fa2eb77fc /docker/debian-dev/bootstrap/replace-mirrors.bash
parent1c5f4ef46d6b765eddabe584fad949bdf784b3c0 (diff)
downloadcrupest-dfa50afcf0645fa697e304bdee3fbe5a78703420.tar.gz
crupest-dfa50afcf0645fa697e304bdee3fbe5a78703420.tar.bz2
crupest-dfa50afcf0645fa697e304bdee3fbe5a78703420.zip
(docker:debian-dev) Add more setups(sbuild).
Diffstat (limited to 'docker/debian-dev/bootstrap/replace-mirrors.bash')
-rwxr-xr-xdocker/debian-dev/bootstrap/replace-mirrors.bash15
1 files changed, 15 insertions, 0 deletions
diff --git a/docker/debian-dev/bootstrap/replace-mirrors.bash b/docker/debian-dev/bootstrap/replace-mirrors.bash
new file mode 100755
index 0000000..4fc07d0
--- /dev/null
+++ b/docker/debian-dev/bootstrap/replace-mirrors.bash
@@ -0,0 +1,15 @@
+#! /usr/bin/env bash
+
+set -e
+
+cp /etc/apt/sources.list /etc/apt/sources.list.bak
+
+cp /bootstrap/tuna-source-http.txt /etc/apt/sources.list
+apt-get update
+apt-get install -y apt-transport-https ca-certificates
+
+cp /bootstrap/tuna-source-https.txt /etc/apt/sources.list
+apt-get update
+
+cp /bootstrap/tuna-source-link.txt /etc/crupest-apt-source
+